Skip to main content
`Ctrl`+`K`

# Pix2Sky_CylindricalPerspective

class astropy.modeling.projections.Pix2Sky_CylindricalPerspective(*args, **kwargs)

  Bases: `Pix2SkyProjection`, `Cylindrical`

  Cylindrical perspective - pixel to sky.

  Corresponds to the `CYP` projection in FITS WCS.

  \[\begin{split}\phi &= \frac{x}{\lambda} \\ \theta &= \arg(1, \eta) + \sin{-1}\left(\frac{\eta \mu}{\sqrt{\eta^2 + 1}}\right)\end{split}\]

  where:

  \[\eta = \frac{\pi}{180^{\circ}}\frac{y}{\mu + \lambda}\]
  Parameters:
    mu `python:float`

      Distance from center of sphere in the direction opposite the projected surface, in spherical radii, μ. Default is 1.

    lam `python:float`

      Radius of the cylinder in spherical radii, λ. Default is 1.

  Attributes Summary

  `lam` |
  `mu` |
  `param_names` | Names of the parameters that describe models of this type.

  Attributes Documentation

  lam = _ParameterDS('lam', value=1.0)
  mu = _ParameterDS('mu', value=1.0)
  param_names = ('mu', 'lam')

    Names of the parameters that describe models of this type.

    The parameters in this tuple are in the same order they should be passed in when initializing a model of a specific type. Some types of models, such as polynomial models, have a different number of parameters depending on some other property of the model, such as the degree.

    When defining a custom model class the value of this attribute is automatically set by the `Parameter` attributes defined in the class body.